////////////////////////////////////////////////////////////////////////////////
//
//  IDEUM
//  Copyright 2011-2015 Ideum
//  All Rights Reserved.
//
//  Gestureworks Core
//
//  File:    HelloMultitouchApp.cpp
//  Authors:  Ideum
//
//  NOTICE: Ideum permits you to use, modify, and distribute this file only
//  in accordance with the terms of the license agreement accompanying it.
//
////////////////////////////////////////////////////////////////////////////////

#include "GWUtils.h"

#include "cinder/app/AppNative.h"
#include "cinder/gl/gl.h"
#include "cinder/gl/TextureFont.h"

using namespace ci;
using namespace ci::app;

std::map<int, gwc::Point> active_points;

class HelloMultitouchApp : public AppNative {
public:
	Font font;
	gl::TextureFontRef texture_font;
	int screen_width;
	int screen_height;
	bool use_pixels;

	std::pair<int, int> normScreenToWindowPx(float screen_x, float screen_y);
	void prepareSettings(Settings *settings);
	void setup();
	void mouseDown(MouseEvent event);
	void update();
	void draw();
};
